## ros-indigo-sound-play 0.2.13

=== debian/changelog ===
ros-indigo-sound-play (0.2.13-0trusty) trusty; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
  * Contributors: Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-sound-play (0.2.12-0trusty) trusty; urgency=high

  * remove chance of uninitialised variable being called in a subscriber callback.
  * Contributors: Daniel Stonier

 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Feb 2016 00:00:00 -0000

ros-indigo-sound-play (0.2.11-0trusty) trusty; urgency=high

  * Fix bug in say.py. Fixes #72 <https://github.com/ros-drivers/audio_common/issues/72>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 16 Feb 2016 00:00:00 -0000

ros-indigo-sound-play (0.2.10-0trusty) trusty; urgency=high

  * Issue: The error checks for missing publisher/action client in sendMsg were inverted.
    The non-blocking brach tested the action client while the blocking branch
    tested the publisher.
    Fix: Inverted the blocking boolean for both branchs.
  * sound_play: Fix build with -DCATKIN_ENABLE_TESTING=OFF.
    https://bugs.gentoo.org/show_bug.cgi?id=567466
  * Contributors: Alexis Ballier, Neowizard

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Jan 2016 00:00:00 -0000

ros-indigo-sound-play (0.2.9-0trusty) trusty; urgency=high

  * [soundplay_node] fix resources not being released on dict cleanup
    This was resulting in the number of sink inputs reaching the maximum threshold,
    (32 on ubuntu 14.04 with pulseaudio 4.0) after which no more sounds could be
    played by the node. It would only happen if the rate of sounds being played was
    slower than the dictionary cleanup.
  * depend on actionlib.
  * Introduce unit test to ensure soundclient is started correctly.
  * Example of using the explicit blocking parameter to override the class setting.
  * SoundClient can also explicitly specify whether or not to block while playing the sound.
    Each play/repeat/say/... method can take an option blocking=True|False argument (using **kwargs), which over-rides the class-wide setting.
    Conflicts:
    sound_play/src/sound_play/libsoundplay.py
  * do both in same script.
  * Added script showing the various blocking/non-blocking ways of using SoundClient.
  * removed trailing whitespace only
    Conflicts:
    sound_play/scripts/say.py
  * loginfo -> logdebug.
  * Enable blocking calls inside libsoundplay's SoundClient.
    This makes use of the actionlib interface provided by soundplay_node, by ensuring SoundClient receives a response before returning.
    Turn this on by: SoundClient(blocking=true).
    Conflicts:
    sound_play/src/sound_play/libsoundplay.py
  * Use new-style python classes (inherits from object).
    Conflicts:
    sound_play/src/sound_play/libsoundplay.py
  * removed trailing whitespace.
    Conflicts:
    sound_play/src/sound_play/libsoundplay.py
  * Revert "Set the volume in each of the sound_play actionlib tests."
    This reverts commit 55ab08c882809fc6d21affb849a7dac9f1901867.
    Indigo-devel does not have the volume API
  * Set the volume in each of the sound_play actionlib tests.
    This makes the script actually play the sounds it requests.
  * Specify queue size explicitly.
    Removed warning message printed each time soundplay_node was started.
  * remove trailing whitespace only.
  * Fix wiki links
  * Contributors: David V. Lu, Felix Duvallet, Michal Staniaszek, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-indigo-sound-play (0.2.8-0trusty) trusty; urgency=high

  * Fix test target name collision. Fixes #49 <https://github.com/ros-drivers/audio_common/issues/49>
  * sound_play: remove some raw prints cluttering output
  * sound_play: added queue_size to SoundClient init
    Should prevent warning being displayed whenever the client is created.
    Fixes issue #43 <https://github.com/ros-drivers/audio_common/issues/43>
  * add simple-actionlib functionality to sound_play
  * sound_play: Added functions to play files relative to a package path
  * Update maintainer email
  * Contributors: Matthias Nieuwenhuisen, Michal Staniaszek, aginika, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 02 Oct 2015 00:00:00 -0000

ros-indigo-sound-play (0.2.7-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 25 Jul 2014 00:00:00 -0000

ros-indigo-sound-play (0.2.6-0trusty) trusty; urgency=high

  * Fix path resolution in python soundplay lib.
  * now importing roslib. closes #33 <https://github.com/ros-drivers/audio_common/issues/33>
  * Contributors: Piyush Khandelwal, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 26 Feb 2014 00:00:00 -0000

ros-indigo-sound-play (0.2.5-0trusty) trusty; urgency=high

  * "0.2.5"
  * Install sounds. Fixes #29 <https://github.com/ros-drivers/audio_common/issues/29>.
  * install sound_play.h and export include folder
  * Contributors: ahendrix, trainman419, v4hn

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Jan 2014 00:00:00 -0000

ros-indigo-sound-play (0.2.4-0trusty) trusty; urgency=high

  * Fix cmake ordering.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 10 Sep 2013 00:00:00 -0000

ros-indigo-sound-play (0.2.3-0trusty) trusty; urgency=high

  * Fix python.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-indigo-sound-play (0.2.2-0trusty) trusty; urgency=high

  * Actually add proper dependency on message generation.
  * Reorder CMakeLists.txt.
  * Contributors: Austin Hendrix


